# This file tests integrity of libraries in this repository
# Created by Krisjanis Rijnieks on 2 May 2020

image: python:latest

before_script:
  - git clone https://gitlab.com/kicad/libraries/kicad-library-utils.git
  - apt install jq
  - python -V
  - jq --version

test:
  script:
    - ./tests/inventory.sh ./fab.kicad_sym
    - ./klc-check.sh
